# Method: advertisers.creatives.patch

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.creatives/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.creatives/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.creatives/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.creatives/patch#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.creatives/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.creatives/patch#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.creatives/patch#try-it)

Updates an existing creative. Returns the updated creative if successful.

A ["Standard" user role](https://support.google.com/displayvideo/answer/2723011) or greater for the parent advertiser or partner is required to make this request.

### HTTP request

`PATCH https://displayvideo.googleapis.com/v4/advertisers/{creative.advertiserId}/creatives/{creative.creativeId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `creative.advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The unique ID of the advertiser the creative belongs to. |
| `creative.creativeId` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The unique ID of the creative. Assigned by the system. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. The mask to control which fields to update. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://developers.google.com/display-video/api/reference/rest/v4/advertisers.creatives#Creative`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/display-video/api/reference/rest/v4/advertisers.creatives#Creative`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).